<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

class TagLocation extends Entity
{
	public $TagLocationID		= -1;
	public $TagID				= -1;
	public $TagLocationCountry	= "";
	public $TagLocationState	= "";
	public $TagLocationCity		= "";
	public $TagLocationNeighborhood	= "";


	public static function getTagLocations($tag_id)
	{
		$result = false;

		$db = DBConnect::getInstance();
		$query = $db->query('SELECT * FROM `taglocation` WHERE TagID=%d', $tag_id);
		if (count($query->Data) > 0)
		{
			foreach ($query->Data as $row)
			{
				$tag_location = new TagLocation();
				$tag_location->populateFromArray($row);
				$result[] = $tag_location;
			}
		}

		return $result;
	}
}