<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require_once('includes/application_top.php');

if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

$entity = isset($_GET['entity']) ? $_GET['entity'] : ( isset($_POST['Entity']) ? $_POST['Entity'] : 'User');
$id = isset($_GET['id']) ? $_GET['id'] : ( isset($_POST['ID']) ? $_POST['ID'] : -1 );

$object = Entity::getObject($entity, $id);

if (($object->{db_get_entity_key($object)} == -1))
//if ( (!$object->hasMember($user->UserID)) || ($object->{db_get_entity_key($object)} == -1) )
{
	cmn_unauthorized_action();
}

$form_id = $_POST['FormID'];
if ($_POST['action'] == 'delete' && !empty($form_id))
{
    $form = new Form($form_id);
	$form->delete();
}
elseif ($_POST['action'] == 'change_status' && !empty($form_id))
{
	$form = new Form($form_id);
	$form->FormStatus = $_POST['FormStatus'][$form_id];
	$form->saveToDB();
}

$forms = $object->getForms();
if (count($forms) > 0)
{
	foreach ($forms as $form)
	{
		$template->setVariable('FormID', $form->FormID);
		$template->setVariable('FormName', $form->FormName);
		$template->setVariable('FormDescription', $form->FormDescription);
		$template->setVariable('FormStartDate', $form->FormStartDate);
		$template->setVariable('FormEndDate', $form->FormEndDate);
		if ($form->FormStatus == FORM_STATUS_ACTIVE)
		{
			$template->setVariable('active_selected', 'checked');
		}
		else
		{
			$template->setVariable('inactive_selected', 'checked');
		}
		$template->setVariable('FORM_STATUS_ACTIVE', FORM_STATUS_ACTIVE);
		$template->setVariable('FORM_STATUS_INACTIVE', FORM_STATUS_INACTIVE);
		$template->parse('form');
	}
}
else
{
	$template->hideBlock('form');
}

$template->setVariable('Entity', $entity);
$template->setVariable('EntityID',   $id);
$template->parse('back_link');

$template->setVariable('Entity', $entity);
$template->setVariable('ID', $id);

require_once('includes/application_bottom.php');