<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

include('includes/application_top.php');

if ($user->isAuthorised())
{
	$todo_id = $_GET['todo_id'];
	$group_id = isset($_GET['group_id']) ? $_GET['group_id'] : ( isset($_POST['group_id']) ? $_POST['group_id'] : -1 );
	$group = new Group($group_id);

	if (!$group->userIsAdmin($user->UserID))
	{
		cmn_unauthorized_action();
	}

	$template->setGlobalVariable('GroupID', $group_id);
	$template->setGlobalVariable('TodoID', $todo_id);

	$members = $group->getGroupUsers();
	foreach ($members as $key => $member)
	{
		$member_id = $member->UserID;
		$member_info = $member->UserFirstname . ' ' . $member->UserLastname;

		$template->setVariable('UserID', $member_id);
		$template->setVariable('UserInfo', $member_info);

		$template->parse('member');
	}
}
else
{
	cmn_unauthorized_action();
}
include('includes/application_bottom.php');