<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

$section = 'files';
include('includes/application_top.php');

if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

if (UserBlock::checkUserBlockResources(USER_BLOCKED_RESOURCES, USERBLOCK_RESOURCE_MEDIA))
{
    cmn_unauthorized_action();
}

$fileid = isset($_GET['file_id']) ? $_GET['file_id'] : ( isset($_POST['file_id']) ? $_POST['file_id'] : -1);
$file = new File($fileid);
$ownertype = $file->FileType();
$ownerid = $file->getOwnerID();
if ($ownertype != 'user')
{
    $template->setVariable('Entity', $ownertype);
    $template->setVariable('EntityID', $ownerid);
    $template->parse('back_link');
}
if ($file->FileID == -1)
{
	cmn_unauthorized_action();
}
if (!$file->userCanEdit($user->UserID))
{
	cmn_unauthorized_action();
}
$data = $file->getDataArray();
if (isset($_POST['submitted']))
{
	if (isset($_POST['delfile']))
	{
		$file->delete();
		cmn_redirect("files.php?owner_type=" . $ownertype . '&owner_id=' . $ownerid);
	}
	$error = false;
	foreach ($data as $key => $value)
	{
		if (isset($_POST[$key]))
		{
			$data[$key] = $_POST[$key];
		}
		switch ($key)
		{
			case "FileDescription":
				if (!$data[$key])
				{
					$template->touchBlock("err_" . $key);
					$error = true;
				}
				break;
		}
	}
	$file->populateFromArray($data);
	if (!$error)
	{
		$file->saveToDB();
		cmn_redirect("files.php?owner_type=" . $ownertype . '&owner_id=' . $ownerid);
	}
}
$template->setVariable($data);

include('includes/application_bottom.php');