<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require_once('includes/application_top.php');

if (Session::isCurrentSessionLoggedIn())
{
	$group = new Group(@$_GET['request_id']);
	if ($group->GroupID != -1)
	{
		$obj = Entity::getObject($_GET['entity'], $_GET['id']);
		if (get_class($obj) == 'Entity' || $obj->{db_get_entity_key($obj)} == -1)
		{
			$obj = $user;
		}
		
		switch (get_class($obj))
		{
			case 'Group':
			case 'Organization':
				$template->touchBlock('connection_flags');
		}

		$returnURL = cmn_get_profile_link('Group', $group->GroupID);
		if (isset($_GET['return']))
		{
			$returnURL = $_GET['return'];
		}
		
		$template->setGlobalVariable('SectionHeader', 'Request Group Joining'); 
		$template->setVariable('ReturnURL', $returnURL);
		
		if (isset($_POST['submited']))
		{
			$obj->sendGroupRequest($group->GroupID, @$_POST['txtMessageText'], @$_POST['Flags']);
			cmn_redirect($returnURL);
		}
	}
}
else
{
	cmn_unathorized_action();
}

require_once('includes/application_bottom.php');
?>