<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 
mb_internal_encoding("UTF-8");
mb_http_output("UTF-8");
header('Content-type: text/html; charset=utf-8');
if (!setlocale(LC_CTYPE ,"ru_RU.UTF-8"))
{
	setlocale(LC_CTYPE,"ru_RU");
}

require_once('includes/paths.php');
require_once(PATH_INCLUDES . 'includes.php');

if (!defined('DB_HOSTNAME'))
{
    cmn_redirect('install/index.php');    
}

//error_reporting(E_ALL & ~E_NOTICE);
error_reporting(0);

session_start();

define('FILENAME', basename($_SERVER['PHP_SELF']));

$user = new User();

$sessionId = isset($_SESSION['sessionid']) ? $_SESSION['sessionid'] : (isset($_COOKIE['sessionid']) ? $_COOKIE['sessionid'] : null);
if (isset($sessionId))
{
	$user = User::createFromSession($sessionId);
}

$template = new HTML_Template_Sigma(PATH_TEMPLATES, PATH_TEMPLATES_CACHE);
$template->loadTemplateFile('main.html');

if (@$_GET['logout'] == 1)
{
	$user->logout();
	if(!defined('DOKU_INC')) define('DOKU_INC',dirname(__FILE__).'/../wiki/');
	require_once(DOKU_INC.'inc/init.php');
	require_once(DOKU_INC.'inc/common.php');
	require_once(DOKU_INC.'inc/events.php');
	require_once(DOKU_INC.'inc/pageutils.php');
	require_once(DOKU_INC.'inc/html.php');
	require_once(DOKU_INC.'inc/auth.php');
	require_once(DOKU_INC.'inc/actions.php');

	auth_logoff();

	$_SESSION['user'] = null;
	$_SESSION['user_array'] = null;
	unset($_SESSION['user']);
	unset($user);
	setcookie('comm_sid', '', time() - 3600);
	setcookie('wiki_name', '', time() - 3600);
	cmn_redirect('index.php');
}


if (Session::isCurrentSessionLoggedIn())
{

    define('USER_BLOCKED_RESOURCES', UserBlock::getUserBlockedResources($user->UserID));
    if (UserBlock::checkUserBlockResources(USER_BLOCKED_RESOURCES, USERBLOCK_RESOURCE_ALL))
    {
        $user->logout();
        $_SESSION['user'] = null;
        $_SESSION['user_array'] = null;

        setcookie('comm_sid', '', time() - 3600);
        setcookie('wiki_name', '', time() - 3600);
        cmn_unathorized_action();
    }

	$template->touchBlock('menu');
	$template->touchBlock('logged_actions');
	$userName = $user->UserFirstname . ' ' . $user->UserLastname;
	//$mymarket = $user->getMarketAccount();
	//$template->setVariable('MyMarketAccountID', $mymarket->MarketAccountID);
}
else
{
	$template->touchBlock('login_form');
	$template->touchBlock('guest_actions');
	$userName = 'Guest';
}

$template->setGlobalVariable('UserName', $userName);

if ($header_img = cmn_search_header_img())
{
	$template->setVariable('header_img', $header_img);
	$template->parse('header');
}

tpl_set_common_functions($template);

$template->setGlobalVariable(get_defined_constants());
$template->addBlockfile('CONTENT', 'CONTENT', basename(FILENAME, '.php') . '.html');
if (isset($_SESSION['FORUM_SID']) && $_SESSION['FORUM_SID'])
	$template->setGlobalVariable('FORUM_SID', $_SESSION['FORUM_SID']);

//$portlet = new MyConnections($template, 'MY_CONNECTIONS', $user->UserID);
//print_r($portlet);

$template->touchBlock($section . '_active');

?>