<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

class Fulfill extends Entity
{
    public $FulfillID 			=	-1;
    public $FulfillHowto 		=	'';
    public $ProductID 			=	-1;
    public $UserID	 			=	-1;
    public $FulfillContact		=	FULFILL_CONTACT_MESSAGE;
    public $FulfillContactEmail =	'';
    public $FulfillContactPhone =	'';
    public $FulfillContactTime  =	'anytime';
    public $FulfillImage1		=	'';
    public $FulfillImage2		=	'';
    public $FulfillImage3		=	'';
    public $FulfillImage4		=	'';
    public $FulfillImage5		=	'';
    public $FulfillImage6		=	'';

    public function getFulFillContactDescription()
    {
        switch ($this->FulfillContact)
        {
            case FULFILL_CONTACT_MESSAGE:
            	return 'Community Message';

            case FULFILL_CONTACT_EMAIL:
            	return 'E-mail:' . $this->FulfillContactEmail;

            case FULFILL_CONTACT_PHONE:
            	return 'Phone: ' . $this->FulfillContactPhone;
		}
	}
}

?>
