<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

class Program extends Entity
{
    public $ProgramID    = -1;
    public $ProgramName    = '';
    public $ProgramStatus = PROGRAM_STATUS_PENDING;
    public $ProgramDateCreated    = CURRENT_TIME;
    public $ProgramShortDescription = '';
    public $ProgramDateNeeded = '';
    public $ProgramAmountNeeded = 0.00;
    public $ProgramReceiptTemplate = '';

    public static function getActivePrograms()
    {
        $return = array();

        $db = DBConnect::getInstance();
        $result = $db->query('select * from program where ProgramStatus = %d', PROGRAM_STATUS_ACTIVE);
        foreach ($result->Data as $row)
        {
            $obj = new Program();
            $obj->populateFromArray($row);
            $return[] = $obj;
        }
        return $return;
    }
    public function getAmountGranted()
    {
        return Order::getProgramAmountGranted($this->ProgramID);
    }
}
?>