<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

function ud_sanitize_string($data)
{
	//Silly rabbit. Scripts are for kids. This line kills all hope of <script> etc by escaping HTML.
	$db = DBConnect::getInstance();

	if (get_magic_quotes_gpc()) 
	{
        $data = stripslashes($data);
    }

	$data = str_replace('\r\n', "\r\n", $data);  
	$data = html_entity_decode($data);
    $data =  preg_replace_callback("|(\w{40,})|", 'cmn_split_text', $data); 		

	//This makes the string safe for MySQL.
	return mysql_escape_string($data);
}

function ud_sanitize_db($data)
{
	if (is_array($data))
	{	 
		foreach ($data as $key => $value)
		{
			$data[$key] = ud_sanitize_db($value);
		}
	}
	else
	{
		$data = ud_sanitize_string($data);
	}
	
	return $data;
}

function ud_sanitize($data) 
{        
	if (is_array($data))
	{
		foreach ($data as $key => $value)
		{
			$data[$key] = ud_sanitize($value);
		}
	}
	else
	{
		$data = ud_sanitize_string($data);
	}
	return $data;
}
?>