/* tabs panel description */
function objTabsPanel( id ){
	this.tabs = Array();
	this.panels = Array();

	var tabspanel = document.getElementById( id );
	if( !tabspanel )
		return;

	var divs = tabspanel.getElementsByTagName( "div" );
	if( !divs )
		return;

	var tabsmenu; var tabpanels;
	for( var i = 0; i < divs.length; i++ ){
		var classes = (divs[i].className).split(" ");
		if( classes && classes[0] == "tabsmenu" )
			tabsmenu = divs[i];
		if( classes && classes[0] == "tabpanels" )
			tabpanels = divs[i];
	}

	if( !tabsmenu )
		return;

	var tabs = tabsmenu.getElementsByTagName( "a" );
	if( tabs ){
		for( var i = 0; i < tabs.length; i++ ){
			var classes = (tabs[i].className).split(" ");
			if( classes && classes[0] == "tab" ){
				var n = this.tabs.length;
				this.tabs[n] = tabs[i];
				this.tabs[n].tabnum = n;
				this.tabs[n].className = "enable";
				this.tabs[n].objTabsPanel = this;
				this.tabs[n].onclick = tabsOnclickHandler;
			}
		}
	}
	var panels = tabpanels.getElementsByTagName( "div" );
	if( panels ){
		for( var i = 0; i < panels.length; i++ ){
			var classes = (panels[i].className).split(" ");
			if( classes && classes[0] == "panel" ){
				var n = this.panels.length;
				this.panels[n] = panels[i];
				this.panels[n].style.display = "none";
			}
		}
	}
}

objTabsPanel.prototype.setActive = function( tabnum ){

	if( !tabnum )
		tabnum = 0;

	if( !this.tabs[tabnum] )
		return;

	if( this.tabs[tabnum].className == "enable" ){
		this.tabs[tabnum].className = "active"
		if( this.panels[tabnum] )
			this.panels[tabnum].style.display = "block";
	}
}

objTabsPanel.prototype.tabOnclick = function( tabnum, status ){
	if( status == "enable" ){
		for( var n = 0; n < this.panels.length; n++ )
			this.panels[n].style.display = "none";
		if( this.panels[tabnum] )
			this.panels[tabnum].style.display = "block";

		for( var n = 0; n < this.tabs.length; n++ )
			this.tabs[n].className = "enable";
		this.tabs[tabnum].className = "active";
	}
}

function tabsOnclickHandler(){
	var objTabsPanel = this.objTabsPanel;
	if( objTabsPanel )
		objTabsPanel.tabOnclick( this.tabnum, this.className );
}
